package com.ghy.customer.service;

import java.util.List;
import com.ghy.customer.domain.CustomerPlace;
import org.apache.ibatis.annotations.Param;

/**
 * 分销申请Service接口
 *
 * @author clunt
 * @date 2022-08-11
 */
public interface ICustomerPlaceService
{
    /**
     * 查询分销申请
     *
     * @param id 分销申请主键
     * @return 分销申请
     */
    public CustomerPlace selectCustomerPlaceById(String id);

    public List<CustomerPlace> getByCustomerIds(List<Long> ids);

    /**
     * 查询分销申请列表
     *
     * @param customerPlace 分销申请
     * @return 分销申请集合
     */
    public List<CustomerPlace> selectCustomerPlaceList(CustomerPlace customerPlace);


    public List<CustomerPlace> selectCustomerPlaceSimpleList(CustomerPlace customerPlace);

    /**
     * 新增分销申请
     *
     * @param customerPlace 分销申请
     * @return 结果
     */
    public int insertCustomerPlace(CustomerPlace customerPlace);

    /**
     * 修改分销申请
     *
     * @param customerPlace 分销申请
     * @return 结果
     */
    public int updateCustomerPlace(CustomerPlace customerPlace);

    /**
     * 批量删除分销申请
     *
     * @param ids 需要删除的分销申请主键集合
     * @return 结果
     */
    public int deleteCustomerPlaceByIds(String ids);

    /**
     * 删除分销申请信息
     *
     * @param id 分销申请主键
     * @return 结果
     */
    public int deleteCustomerPlaceById(String id);

    /**
     * @param ids 需要审核的id
     * @param status 审核结果
     * @return 结果
     */
    public int changeStatus(String ids,Integer status);

}